--  ALTER TABLE IQ_FEHLERORTE 
ALTER TABLE IQ_GASNETZE ADD lhadn25         INT;
ALTER TABLE IQ_GASNETZE ADD lhadn25_50      INT;
ALTER TABLE IQ_GASNETZE ADD lhadn50         INT;
ALTER TABLE IQ_GASNETZE ADD lhadnx          INT;
ALTER TABLE IQ_GASNETZE ADD ahadn25       INT;
ALTER TABLE IQ_GASNETZE ADD ahadn25_50    INT;
ALTER TABLE IQ_GASNETZE ADD ahadn50       INT;
ALTER TABLE IQ_GASNETZE ADD ahadnx        INT;
ALTER TABLE IQ_GASNETZE ADD lhapvc        INT;
ALTER TABLE IQ_GASNETZE ADD lhape_sonst   INT;
ALTER TABLE IQ_GASNETZE ADD lhape80       INT;
ALTER TABLE IQ_GASNETZE ADD lhape100      INT;
ALTER TABLE IQ_GASNETZE ADD lhape_x       INT;
ALTER TABLE IQ_GASNETZE ADD lhakunstst    INT;
ALTER TABLE IQ_GASNETZE ADD lhastahl      INT;
ALTER TABLE IQ_GASNETZE ADD lhaggg        INT;
ALTER TABLE IQ_GASNETZE ADD lhawerkstoffx INT;
ALTER TABLE IQ_GASNETZE ADD ldn100        INT;
ALTER TABLE IQ_GASNETZE ADD ldn100_200    INT;
ALTER TABLE IQ_GASNETZE ADD ldn200_350    INT;
ALTER TABLE IQ_GASNETZE ADD ldn350_500    INT;
ALTER TABLE IQ_GASNETZE ADD ldn500_700    INT;
ALTER TABLE IQ_GASNETZE ADD ldn700_1000   INT;
ALTER TABLE IQ_GASNETZE ADD ldn1000       INT;
ALTER TABLE IQ_GASNETZE ADD ldnx          INT;
ALTER TABLE IQ_GASNETZE ADD l16_25        INT;
ALTER TABLE IQ_GASNETZE ADD l25_35        INT;
ALTER TABLE IQ_GASNETZE ADD l35_45        INT;
ALTER TABLE IQ_GASNETZE ADD l45_55        INT;
ALTER TABLE IQ_GASNETZE ADD l55_65        INT;
ALTER TABLE IQ_GASNETZE ADD l65_75        INT;
ALTER TABLE IQ_GASNETZE ADD l75_85        INT;
ALTER TABLE IQ_GASNETZE ADD l85_95        INT;
ALTER TABLE IQ_GASNETZE ADD l95_100       INT;
ALTER TABLE IQ_GASNETZE ADD l100          INT;
ALTER TABLE IQ_GASNETZE ADD lpvc          INT;
ALTER TABLE IQ_GASNETZE ADD lpe_sonst     INT;
ALTER TABLE IQ_GASNETZE ADD lpe80         INT;
ALTER TABLE IQ_GASNETZE ADD lpe100        INT;
ALTER TABLE IQ_GASNETZE ADD lpe_x         INT;
ALTER TABLE IQ_GASNETZE ADD lkunstst      INT;
ALTER TABLE IQ_GASNETZE ADD lst_pe_m      INT;
ALTER TABLE IQ_GASNETZE ADD lst_pe_o      INT;
ALTER TABLE IQ_GASNETZE ADD lst_bit_m     INT;
ALTER TABLE IQ_GASNETZE ADD lst_bit_o     INT;
ALTER TABLE IQ_GASNETZE ADD lggg          INT;
ALTER TABLE IQ_GASNETZE ADD lgg_beh       INT;
ALTER TABLE IQ_GASNETZE ADD lgg_unbeh     INT;
ALTER TABLE IQ_GASNETZE ADD lwerkstoffx   INT;
ALTER TABLE IQ_GASNETZE ADD l1920         INT;
ALTER TABLE IQ_GASNETZE ADD l1920_1929    INT;
ALTER TABLE IQ_GASNETZE ADD l1930_1939    INT;
ALTER TABLE IQ_GASNETZE ADD l1940_1949    INT;
ALTER TABLE IQ_GASNETZE ADD l1950_1959    INT;
ALTER TABLE IQ_GASNETZE ADD l1960_1969    INT;
ALTER TABLE IQ_GASNETZE ADD l1970_1979    INT;
ALTER TABLE IQ_GASNETZE ADD l1980_1989    INT;
ALTER TABLE IQ_GASNETZE ADD l1990_1999    INT;
ALTER TABLE IQ_GASNETZE ADD l2000_2009    INT;
ALTER TABLE IQ_GASNETZE ADD l2010_2019    INT;
ALTER TABLE IQ_GASNETZE ADD l2020_2029    INT;
ALTER TABLE IQ_GASNETZE ADD lbaujahrx     INT;
ALTER TABLE IQ_GASNETZE ADD amat_fern       INT;
ALTER TABLE IQ_GASNETZE ADD amat_nfern      INT;
ALTER TABLE IQ_GASNETZE ADD amat_bfern      INT;
ALTER TABLE IQ_GASNETZE ADD amat_sonst      INT;
ALTER TABLE IQ_GASNETZE ADD molch_fest      INT;
ALTER TABLE IQ_GASNETZE ADD molch_temp      INT;
ALTER TABLE IQ_GASNETZE ADD verdanla_anz    INT;
ALTER TABLE IQ_GASNETZE ADD verdeinh_anz    INT;
ALTER TABLE IQ_GASNETZE ADD verd_leistung   INT;
ALTER TABLE IQ_GASNETZE ADD etank_100       INT;
ALTER TABLE IQ_GASNETZE ADD etank_100_300   INT;
ALTER TABLE IQ_GASNETZE ADD etank_300       INT;
ALTER TABLE IQ_GASNETZE ADD bio_350         INT;
ALTER TABLE IQ_GASNETZE ADD bio_350_700     INT;
ALTER TABLE IQ_GASNETZE ADD bio_700         INT;
ALTER TABLE IQ_GASNETZE ADD speich_kav      INT;
ALTER TABLE IQ_GASNETZE ADD speich_bergk    INT;
ALTER TABLE IQ_GASNETZE ADD speich_aquif    INT;
ALTER TABLE IQ_GASNETZE ADD speich_kohle    INT;
ALTER TABLE IQ_GASNETZE ADD speich_schei    INT;
ALTER TABLE IQ_GASNETZE ADD speich_kugel    INT;
ALTER TABLE IQ_GASNETZE ADD speich_roehre   INT;
ALTER TABLE IQ_GASNETZE ADD speich_vol      INT;
ALTER TABLE IQ_GASNETZE ADD speich_bohr     INT;
ALTER TABLE IQ_GASNETZE ADD speich_beob     INT;

CREATE TABLE iq_gasodorierung (id INT);
ALTER TABLE iq_gasodorierung ADD PRIMARY KEY (id);
ALTER TABLE iq_gasodorierung ADD anwenderid INT;
ALTER TABLE iq_gasodorierung ADD gelockt CHAR(1);
ALTER TABLE iq_gasodorierung ADD ersteller VARCHAR(255);
ALTER TABLE iq_gasodorierung ADD erstelldatum DATETIME;
ALTER TABLE iq_gasodorierung ADD lastedit_name VARCHAR(255);
ALTER TABLE iq_gasodorierung ADD aktuelldatum DATETIME;
ALTER TABLE iq_gasodorierung ADD pstatus INT;
ALTER TABLE iq_gasodorierung ADD erfassungsjahr INT;
ALTER TABLE iq_gasodorierung ADD evunummer VARCHAR(8);
ALTER TABLE iq_gasodorierung ADD teilnetz_nr VARCHAR(100);
ALTER TABLE iq_gasodorierung ADD teilnetzname VARCHAR(100);
ALTER TABLE iq_gasodorierung ADD anzahl_ha INT;
ALTER TABLE iq_gasodorierung ADD gasodor CHAR(1);
ALTER TABLE iq_gasodorierung ADD scent_e CHAR(1);
ALTER TABLE iq_gasodorierung ADD scent_tb CHAR(1);
ALTER TABLE iq_gasodorierung ADD spotl_05 CHAR(1);
ALTER TABLE iq_gasodorierung ADD spotl_09 CHAR(1);
ALTER TABLE iq_gasodorierung ADD spotl_z CHAR(1);
ALTER TABLE iq_gasodorierung ADD tetrahyd CHAR(1);
ALTER TABLE iq_gasodorierung ADD gasodor_v DATETIME;
ALTER TABLE iq_gasodorierung ADD scent_e_v DATETIME;
ALTER TABLE iq_gasodorierung ADD scent_tb_v DATETIME;
ALTER TABLE iq_gasodorierung ADD spotl_05_v DATETIME;
ALTER TABLE iq_gasodorierung ADD spotl_09_v DATETIME;
ALTER TABLE iq_gasodorierung ADD spotl_z_v DATETIME;
ALTER TABLE iq_gasodorierung ADD tetrahyd_v DATETIME;
ALTER TABLE iq_gasodorierung ADD gasodor_b DATETIME;
ALTER TABLE iq_gasodorierung ADD scent_e_b DATETIME;
ALTER TABLE iq_gasodorierung ADD scent_tb_b DATETIME;
ALTER TABLE iq_gasodorierung ADD spotl_05_b DATETIME;
ALTER TABLE iq_gasodorierung ADD spotl_09_b DATETIME;
ALTER TABLE iq_gasodorierung ADD spotl_z_b DATETIME;
ALTER TABLE iq_gasodorierung ADD tetrahyd_b DATETIME;
ALTER TABLE iq_gasodorierung ADD gasodor_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_e_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_tb_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_05_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_09_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_z_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD tetrahyd_min1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD gasodor_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_e_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_tb_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_05_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_09_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_z_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD tetrahyd_m1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD gasodor_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_e_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_tb_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_05_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_09_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_z_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD tetrahyd_max1 DOUBLE;
ALTER TABLE iq_gasodorierung ADD gasodor_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_e_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_tb_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_05_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_09_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_z_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD tetrahyd_min2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD gasodor_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_e_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_tb_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_05_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_09_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_z_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD tetrahyd_m2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD gasodor_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_e_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD scent_tb_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_05_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_09_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD spotl_z_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD tetrahyd_max2 DOUBLE;
ALTER TABLE iq_gasodorierung ADD kommentar Memo;

ALTER TABLE iq_gasstoerungen ADD stoerungsort CHAR(2);
ALTER TABLE iq_gasstoerungen ADD mop CHAR(2);
ALTER TABLE iq_gasstoerungen ADD mop_e DOUBLE;
ALTER TABLE iq_gasstoerungen ADD dn CHAR(2);
ALTER TABLE iq_gasstoerungen ADD dn_e INT;
ALTER TABLE iq_gasstoerungen ADD material CHAR(2);
ALTER TABLE iq_gasstoerungen ADD material_e CHAR(255);
ALTER TABLE iq_gasstoerungen ADD bjahr CHAR(2);
ALTER TABLE iq_gasstoerungen ADD druck DOUBLE;
ALTER TABLE iq_gasstoerungen ADD eursache CHAR(2);
ALTER TABLE iq_gasstoerungen ADD eursache_anm VARCHAR(255);
ALTER TABLE iq_gasstoerungen ADD erstmeldung CHAR(1);
ALTER TABLE iq_gasstoerungen ADD leckage CHAR(1);
ALTER TABLE iq_gasstoerungen ADD bauteil CHAR(1);
ALTER TABLE iq_gasstoerungen ADD schaden_vorh CHAR(1);
ALTER TABLE iq_gasstoerungen ADD utea INT;
ALTER TABLE iq_gasstoerungen ADD austritt_erdgas CHAR(1);
ALTER TABLE iq_gasstoerungen ADD entzuendung CHAR(1);
ALTER TABLE iq_gasstoerungen ADD speicherart CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_regel CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_filter CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_vorw CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_mess CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_sicher CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_absperr CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_elektrik CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_ausbl CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_armaturgr CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_molchst CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_inbetrieb DATETIME;
ALTER TABLE iq_gasstoerungen ADD komp_mop DOUBLE;
ALTER TABLE iq_gasstoerungen ADD komp_bio_armat CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_kond CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_verd CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_mengem CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_beschm CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_dreg CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_filter CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_sav CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_elektrik CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_steuer CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_bio_sonst CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_ort CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_vent CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_ltg CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_dbeh CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_schla CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_abreis CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_fkupp CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_zkupp CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_undi CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_tank_ueberd CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_verd_instleist INT;
ALTER TABLE iq_gasstoerungen ADD komp_verd_leist INT;
ALTER TABLE iq_gasstoerungen ADD komp_verd_rohrltg CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_verd_einheit CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_verd_zeinh CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_spei_typ CHAR(1);
ALTER TABLE iq_gasstoerungen ADD komp_spei_vol INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_apbohr INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_bpbohr INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_kissen INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_einsp INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_aussp INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_einmv INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_ausmv INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_mdruck INT;
ALTER TABLE iq_gasstoerungen ADD komp_spei_tiefe INT;
ALTER TABLE iq_gasstoerungen ADD komp_kunde_hausart CHAR(1);
ALTER TABLE iq_gasstoerungen ADD dvgw_um DATETIME;
ALTER TABLE iq_gasstoerungen ADD unfallort VARCHAR(255);
ALTER TABLE iq_gasstoerungen ADD teilnetz_nr CHAR(100);


COMMIT;